module GI.WebKit2WebExtension.Objects.DOMDocument where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype DOMDocument = DOMDocument (ForeignPtr DOMDocument)
instance GObject DOMDocument where
class GObject o => DOMDocumentK o
instance (GObject o, IsDescendantOf DOMDocument o) => DOMDocumentK o
data DOMDocumentActiveElementPropertyInfo
data DOMDocumentAnchorsPropertyInfo
data DOMDocumentAppletsPropertyInfo
data DOMDocumentBodyPropertyInfo
data DOMDocumentCharacterSetPropertyInfo
data DOMDocumentCharsetPropertyInfo
data DOMDocumentChildElementCountPropertyInfo
data DOMDocumentChildrenPropertyInfo
data DOMDocumentCompatModePropertyInfo
data DOMDocumentContentTypePropertyInfo
data DOMDocumentCookiePropertyInfo
data DOMDocumentCurrentScriptPropertyInfo
data DOMDocumentDefaultCharsetPropertyInfo
data DOMDocumentDefaultViewPropertyInfo
data DOMDocumentDoctypePropertyInfo
data DOMDocumentDocumentElementPropertyInfo
data DOMDocumentDocumentUriPropertyInfo
data DOMDocumentDomainPropertyInfo
data DOMDocumentFirstElementChildPropertyInfo
data DOMDocumentFormsPropertyInfo
data DOMDocumentHeadPropertyInfo
data DOMDocumentHiddenPropertyInfo
data DOMDocumentImagesPropertyInfo
data DOMDocumentImplementationPropertyInfo
data DOMDocumentInputEncodingPropertyInfo
data DOMDocumentLastElementChildPropertyInfo
data DOMDocumentLastModifiedPropertyInfo
data DOMDocumentLinksPropertyInfo
data DOMDocumentOriginPropertyInfo
data DOMDocumentPointerLockElementPropertyInfo
data DOMDocumentPreferredStylesheetSetPropertyInfo
data DOMDocumentReadyStatePropertyInfo
data DOMDocumentReferrerPropertyInfo
data DOMDocumentScrollingElementPropertyInfo
data DOMDocumentSelectedStylesheetSetPropertyInfo
data DOMDocumentStyleSheetsPropertyInfo
data DOMDocumentTitlePropertyInfo
data DOMDocumentUrlPropertyInfo
data DOMDocumentVisibilityStatePropertyInfo
data DOMDocumentWebkitCurrentFullScreenElementPropertyInfo
data DOMDocumentWebkitFullScreenKeyboardInputAllowedPropertyInfo
data DOMDocumentWebkitFullscreenElementPropertyInfo
data DOMDocumentWebkitFullscreenEnabledPropertyInfo
data DOMDocumentWebkitIsFullScreenPropertyInfo
data DOMDocumentXmlEncodingPropertyInfo
data DOMDocumentXmlStandalonePropertyInfo
data DOMDocumentXmlVersionPropertyInfo
